### Method

# GdkWayland WaylandToplevelset_transient_for_exported

#### Declaration [src]

    gboolean
    gdk_wayland_toplevel_set_transient_for_exported (
      GdkToplevel* toplevel,
      const char* parent_handle_str
    )

#### Description [src]

Marks `toplevel` as transient for the surface to which the given `parent_handle_str` refers.

Typically, the handle will originate from a `gdk_wayland_toplevel_export_handle()` call in another process.

Note that this API depends on an unstable Wayland protocol, and thus may require changes in the future.

#### Parameters

`parent_handle_str`

  Type: `const char*`

  An exported handle for a surface.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the surface has been marked as transient, `FALSE` if an error occurred.